% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulate-main.R
\name{create_y}
\alias{create_y}
\title{Generate noisy observations}
\usage{
create_y(noise_type, f, snr, phi, N_trials)
}
\arguments{
\item{noise_type}{Either "Gaussian", "Poisson", NB" (negative binomial) or "binomial".}

\item{f}{The underlying signal.}

\item{snr}{The desired signal-to-noise ratio. This argument is valid
only with \cr
\code{noise_type = "Gaussian"}.}

\item{phi}{The dispersion parameter for negative binomial data. The variance is g + g^2/phi.}

\item{N_trials}{The number of trials parameter for binomial data.}
}
\value{
A list \code{out}, where
\itemize{
  \item \code{out$g} is \code{f} mapped through an inverse link function and
  \item \code{out$y} is the noisy response variable.
}
}
\description{
Generate noisy observations
}
